Show / Hide Table of Contents

# Class StyleModelV1

Version one of the Dalamud style model.

##### Inheritance

System.Object
StyleModel
StyleModelV1

##### Inherited Members

StyleModel.Name
StyleModel.BuiltInColors
StyleModel.Version
StyleModel.GetFromCurrent()
StyleModel.GetConfiguredStyle()
StyleModel.GetConfiguredStyles()
StyleModel.Deserialize(String)
StyleModel.TransferOldModels()
StyleModel.Serialize()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Interface.Style

###### Assembly: Dalamud.dll

##### Syntax

    public class StyleModelV1 : StyleModel

### Properties

| Improve this Doc View Source

#### Alpha

##### Declaration

    [JsonProperty("a")]
    public float Alpha { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ButtonTextAlign

##### Declaration

    [JsonProperty("y")]
    public Vector2 ButtonTextAlign { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### CellPadding

##### Declaration

    [JsonProperty("o")]
    public Vector2 CellPadding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### ChildBorderSize

##### Declaration

    [JsonProperty("h")]
    public float ChildBorderSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ChildRounding

##### Declaration

    [JsonProperty("g")]
    public float ChildRounding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### Colors

Gets or sets a dictionary mapping ImGui color names to colors.

##### Declaration

    [JsonProperty("col")]
    public Dictionary<string, Vector4> Colors { get; set; }

##### Property Value

Type | Description
--- | ---
System.Collections.Generic.Dictionary<System.String, System.Numerics.Vector4> |

| Improve this Doc View Source

#### DalamudClassic

Gets the standard Dalamud look.

##### Declaration

    public static StyleModelV1 DalamudClassic { get; }

##### Property Value

Type | Description
--- | ---
StyleModelV1 |

| Improve this Doc View Source

#### DalamudStandard

Gets the standard Dalamud look.

##### Declaration

    public static StyleModelV1 DalamudStandard { get; }

##### Property Value

Type | Description
--- | ---
StyleModelV1 |

| Improve this Doc View Source

#### DisplaySafeAreaPadding

##### Declaration

    [JsonProperty("aa")]
    public Vector2 DisplaySafeAreaPadding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FrameBorderSize

##### Declaration

    [JsonProperty("l")]
    public float FrameBorderSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FramePadding

##### Declaration

    [JsonProperty("j")]
    public Vector2 FramePadding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FrameRounding

##### Declaration

    [JsonProperty("k")]
    public float FrameRounding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GrabMinSize

##### Declaration

    [JsonProperty("t")]
    public float GrabMinSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GrabRounding

##### Declaration

    [JsonProperty("u")]
    public float GrabRounding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### IndentSpacing

##### Declaration

    [JsonProperty("q")]
    public float IndentSpacing { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ItemInnerSpacing

##### Declaration

    [JsonProperty("n")]
    public Vector2 ItemInnerSpacing { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### ItemSpacing

##### Declaration

    [JsonProperty("m")]
    public Vector2 ItemSpacing { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### LogSliderDeadzone

##### Declaration

    [JsonProperty("v")]
    public float LogSliderDeadzone { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### PopupBorderSize

##### Declaration

    [JsonProperty("ab")]
    public float PopupBorderSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### PopupRounding

##### Declaration

    [JsonProperty("i")]
    public float PopupRounding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScrollbarRounding

##### Declaration

    [JsonProperty("s")]
    public float ScrollbarRounding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScrollbarSize

##### Declaration

    [JsonProperty("r")]
    public float ScrollbarSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SelectableTextAlign

##### Declaration

    [JsonProperty("z")]
    public Vector2 SelectableTextAlign { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### SerializedPrefix

Gets the version prefix for this version.

##### Declaration

    public static string SerializedPrefix { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### TabBorderSize

##### Declaration

    [JsonProperty("x")]
    public float TabBorderSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TabRounding

##### Declaration

    [JsonProperty("w")]
    public float TabRounding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TouchExtraPadding

##### Declaration

    [JsonProperty("p")]
    public Vector2 TouchExtraPadding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowBorderSize

##### Declaration

    [JsonProperty("d")]
    public float WindowBorderSize { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WindowMenuButtonPosition

##### Declaration

    [JsonProperty("f")]
    public ImGuiDir WindowMenuButtonPosition { get; set; }

##### Property Value

Type | Description
--- | ---
ImGuiDir |

| Improve this Doc View Source

#### WindowPadding

##### Declaration

    [JsonProperty("b")]
    public Vector2 WindowPadding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowRounding

##### Declaration

    [JsonProperty("c")]
    public float WindowRounding { get; set; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WindowTitleAlign

##### Declaration

    [JsonProperty("e")]
    public Vector2 WindowTitleAlign { get; set; }

##### Property Value

Type | Description
--- | ---
System.Numerics.Vector2 |

### Methods

| Improve this Doc View Source

#### Apply()

Apply this StyleModel via ImGui.

##### Declaration

    public override void Apply()

##### Overrides

StyleModel.Apply()
| Improve this Doc View Source

#### Get()

Get a StyleModel instance via ImGui.

##### Declaration

    public static StyleModelV1 Get()

##### Returns

Type | Description
--- | ---
StyleModelV1 | The newly created StyleModel instance.

| Improve this Doc View Source

#### Pop()

Pop this style model from the ImGui style/color stack.

##### Declaration

    public override void Pop()

##### Overrides

StyleModel.Pop()
| Improve this Doc View Source

#### Push()

Push this StyleModel into the ImGui style/color stack.

##### Declaration

    public override void Push()

##### Overrides

StyleModel.Push()